Bug 238530 - Prepare Tools/ for making the String(const char*) constructor explicit
Summary: Prepare Tools/ for making the String(const char*) constructor explicit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks: 238693
  Show dependency treegraph
 
Reported: 2022-03-29 16:19 PDT by Chris Dumez
Modified: 2022-04-01 19:56 PDT (History)
5 users (show)

See Also:


Attachments
Patch (902.11 KB, patch)
2022-03-29 16:20 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (896.41 KB, patch)
2022-03-30 07:41 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (896.71 KB, patch)
2022-03-30 08:36 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (893.92 KB, patch)
2022-03-31 20:04 PDT, Chris Dumez
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (894.78 KB, patch)
2022-03-31 21:34 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2022-03-29 16:19:06 PDT
Prepare Tools/ for making the String(const char*) constructor explicit.
Comment 1 Chris Dumez 2022-03-29 16:20:57 PDT
Created attachment 456078 [details]
Patch
Comment 2 Chris Dumez 2022-03-30 07:31:35 PDT
Comment on attachment 456078 [details]
Patch

Will investigate failures.
Comment 3 Chris Dumez 2022-03-30 07:41:21 PDT
Created attachment 456121 [details]
Patch
Comment 4 Chris Dumez 2022-03-30 08:36:54 PDT
Created attachment 456124 [details]
Patch
Comment 5 Chris Dumez 2022-03-31 20:04:17 PDT
Created attachment 456312 [details]
Patch
Comment 6 Chris Dumez 2022-03-31 21:34:11 PDT
Created attachment 456320 [details]
Patch
Comment 7 Chris Dumez 2022-04-01 11:02:39 PDT
Patch is ready for review. In my next patch, I should be able to make the constructor explicit (finally!).
Comment 8 Geoffrey Garen 2022-04-01 11:05:26 PDT
Comment on attachment 456320 [details]
Patch

r=me
Comment 9 Chris Dumez 2022-04-01 19:01:19 PDT
Comment on attachment 456320 [details]
Patch

Clearing flags on attachment: 456320

Committed r292251 (249149@trunk): <https://commits.webkit.org/249149@trunk>
Comment 10 Chris Dumez 2022-04-01 19:01:22 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2022-04-01 19:02:22 PDT
<rdar://problem/91191809>